Package Details: python-spotdl 3.5.0-1

Git Clone URL: https://aur.archlinux.org/python-spotdl.git (read-only, click to copy)
Package Base: python-spotdl
Description: Download songs from YouTube using Spotify song URLs or playlists with albumart and meta-tags.
Upstream URL: https://github.com/spotDL/spotify-downloader
Licenses: MIT
Submitter: timschumi
Maintainer: timschumi
Last Packager: timschumi
Votes: 2
Popularity: 0.108706
First Submitted: 2019-10-08 11:40
Last Updated: 2021-03-26 12:26

Latest Comments

timschumi commented on 2021-04-09 09:37

@zoorat

spotdl 3.5.1 is currently broken, so I delayed updating it on purpose.

timschumi commented on 2021-01-19 22:47

I made a ytmusicapi AUR package and added it as a dependency.

Slight OT: I'm having issues with pytube/pytube3 locally, since they both conflict and each name their package 'pytube', but their package metadata 'pytube3'. For that reason, spotdl doesn't seem to be able to find it. Is anyone else experiencing those issues?

EDIT: Found the issue, it will hopefully be fixed as soon as the python-pytube package is updated.

abrar commented on 2021-01-19 16:18

The newest version of this package depends on ytmusicapi. This can only be downloaded through pip for the time being until an AUR PKGBUILD is made.

timschumi commented on 2020-10-08 10:05

@bibisyou

There are no new versions released on PyPI or GitHub, and a message saying that the developers will focus on v3 doesn't mean that this package is out-of-date.

Please flag the package again once the new version (which I presume to be v3) is released.

kostas1507 commented on 2020-08-01 20:44

I had to install python-coloredlogs, python-pytube, python-tqdm for this to work. I think this used to a few months ago... please add the dependencies!

washtubs commented on 2020-07-07 00:17

I also needed python-coloredlogs, python-pytube, python-tqdm.

Latest tag is 2.2.0 in git so this is a bit behind.

EmVixen commented on 2020-06-16 16:22

This doesn't include all the dependencies